<mat-form-field>
  <mat-label>Filter</mat-label>
  <input matInput (keyup)="applyFilter($event)" value="" placeholder="Search object" #input>
</mat-form-field>

<div class="mat-elevation-z8">
  <table mat-table [dataSource]="dataSource" matSort>

    <!-- Image -->
    <ng-container matColumnDef="item">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Item </th>
      <td mat-cell *matCellDef="let row">

        <img mat-card-image class="with-image" src="{{row.detail.sprites.default || 'cargando'}}" alt="item">
      </td>
    </ng-container>

    <!-- Progress Column -->
    <ng-container matColumnDef="name">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Name </th>
      <td mat-cell *matCellDef="let row"> {{row.name}} </td>
    </ng-container>

    <ng-container matColumnDef="effect_short">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Effect Short </th>
      <td mat-cell *matCellDef="let row"> {{row.detail.effect_entries[0].short_effect}} </td>
    </ng-container>

    <ng-container matColumnDef="price">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Price </th>
      <td mat-cell *matCellDef="let row"> {{row.detail.cost}} </td>
    </ng-container>

    <ng-container matColumnDef="detail">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Detail </th>
      <td mat-cell *matCellDef="let row">
        <button mat-button (click)="openDialog(row.detail)">Ver</button>
      </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

    <!-- Row shown when there is no matching data. -->
    <tr class="mat-row" *matNoDataRow>
      <td class="mat-cell" colspan="4">No data matching the filter "{{input.value}}"</td>
    </tr>
  </table>

  <mat-paginator [pageSizeOptions]="[5, 10, 25, 100]"></mat-paginator>
</div>
